summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Yanes Checcacci Balod2014-06-25 03:54:49 +0200
committer Willy Sudiarto Raharjo2014-06-25 03:54:49 +0200
commitdf7cf88f8a628c2ae68b294fe0b12984e40d4878 (patch)
treeacf9152633f3b3101ba7029502f913f000318f02 /network
parent1d5def47f9feec6902dcb53a5ffda2c8f1f6218b (diff)
downloadslackbuilds-df7cf88f8a628c2ae68b294fe0b12984e40d4878.tar.gz
network/wmget: Added (dock application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/wmget/README11
-rw-r--r--network/wmget/slack-desc19
-rw-r--r--network/wmget/wmget.SlackBuild104
-rw-r--r--network/wmget/wmget.info10
-rw-r--r--network/wmget/wmget.patch14
5 files changed, 158 insertions, 0 deletions
diff --git a/network/wmget/README b/network/wmget/README
new file mode 100644
index 0000000000..045a6c0deb
--- /dev/null
+++ b/network/wmget/README
@@ -0,0 +1,11 @@
+
+wmget is a dock app for the GNU Window Maker window manager which makes it more
+convenient to perform long downloads in the background.
+
+This is useful if you tend to have dozens of windows open at a time and tend to
+do a lot of routine downloading. Just copy the link from your browser, middle-
+click on the wmget dockapp, and the download will start. No download windows or
+terminals required, and you can monitor the progress and stop the transfer if
+desired without opening or raising any windows or even changing desktops.
+
+NOTE: This SlackBuild Script PATCH for fixing a compile problem.
diff --git a/network/wmget/slack-desc b/network/wmget/slack-desc
new file mode 100644
index 0000000000..4db7115ecd
--- /dev/null
+++ b/network/wmget/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmget: wmget (dock application)
+wmget:
+wmget: wmget is a dockapp wmget is a dockapp for WindowMaker which makes it
+wmget: more convenient to perform long downloads in the background
+wmget:
+wmget: Just copy the link from your browser, middle-click on the wmget
+wmget: dockapp, and the download will start. You can monitor the progress
+wmget: and stop the transfer if desired without opening or raising any
+wmget: windows or even changing desktops.
+wmget:
+wmget: \ No newline at end of file
diff --git a/network/wmget/wmget.SlackBuild b/network/wmget/wmget.SlackBuild
new file mode 100644
index 0000000000..b34b71f617
--- /dev/null
+++ b/network/wmget/wmget.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for wmget
+
+# Copyright (c) 2014, Yanes Checcacci Balod <yanes@pobox.com>, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmget
+VERSION=${VERSION:-0.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Patch to fix!
+cp $CWD/wmget.patch ./
+patch -p0 < wmget.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make PREFIX=/usr install
+
+#Building directories on manual
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+
+# Pick each file to make the package
+mv /usr/bin/wmget $PKG/usr/bin
+mv /usr/man/man1/wmget.1 $PKG/usr/man/man1
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Collecting each file to DOC package build directory
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/wmget/wmget.info b/network/wmget/wmget.info
new file mode 100644
index 0000000000..c6f0794ef3
--- /dev/null
+++ b/network/wmget/wmget.info
@@ -0,0 +1,10 @@
+PRGNAM="wmget"
+VERSION="0.6.0"
+HOMEPAGE="http://amtrickey.net/wmget/index.html"
+DOWNLOAD="http://amtrickey.net/download/wmget-0.6.0-src.tar.gz"
+MD5SUM="f4f196f3cf1c427e1f8321b4063c4917"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yanes Checcacci Balod"
+EMAIL="yanes@pobox.com"
diff --git a/network/wmget/wmget.patch b/network/wmget/wmget.patch
new file mode 100644
index 0000000000..6f79a04dc5
--- /dev/null
+++ b/network/wmget/wmget.patch
@@ -0,0 +1,14 @@
+--- dockapp/da_run.c 2003-02-09 01:09:26.000000000 -0200
++++ dockapp/da_run.c.new 2014-06-24 01:29:29.000000000 -0300
+@@ -157,9 +157,9 @@
+ static long da_timer_msec_remaining (void)
+ {
+ struct timeval right_now;
+- int rv;
++/* int rv;
+
+- rv = gettimeofday (&right_now, 0);
++ rv = gettimeofday (&right_now, 0); */
+
+ return
+ (da_timer_next_timeout.tv_sec - right_now.tv_sec) * 1000L